#
# spec file for package perl-File-Which (Version 1.09)
#
# Copyright (c) 2010 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild


Name:           perl-File-Which
%define cpan_name File-Which
Summary:        Portable implementation of the `which' utility
Version:        1.09
Release:        2
License:        GPL+ or Artistic
Group:          Development/Libraries/Perl
Url:            http://search.cpan.org/dist/File-Which/
#Source:         http://www.cpan.org/modules/by-module/File/File-Which-%{version}.tar.gz
Source:         %{cpan_name}-%{version}.tar.bz2
BuildArch:      noarch
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  perl
%if 0%{?suse_version} < 1120
BuildRequires:  perl-macros
%endif
BuildRequires:  perl(Exporter)
BuildRequires:  perl(File::Spec) >= 0.60
BuildRequires:  perl(Getopt::Std)
BuildRequires:  perl(Test::Script) >= 1.05
#
Requires:       perl = %{perl_version}
Requires:       perl(Exporter)
Requires:       perl(File::Spec) >= 0.60
Requires:       perl(Getopt::Std)
Requires:       perl(Test::Script) >= 1.05

%description
File::Which was created to be able to get the paths to executable programs
on systems under which the `which' program wasn't implemented in the shell.

Authors:
--------
    Per Einar Ellefsen <per.einar@skynet.be>

%prep
%setup -q -n %{cpan_name}-%{version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%{__make} %{?_smp_mflags}

%check
%{__make} test

%install
%perl_make_install
# do not perl_process_packlist (noarch)
# remove .packlist file
%{__rm} -rf $RPM_BUILD_ROOT%perl_vendorarch
# remove perllocal.pod file
%{__rm} -rf $RPM_BUILD_ROOT%perl_archlib
%perl_gen_filelist

%clean
%{__rm} -rf $RPM_BUILD_ROOT

%files -f %{name}.files
%defattr(-,root,root,-)
%doc Changes LICENSE README

%changelog
